#ifndef __SUBMENUSETUP_H
#define __SUBMENUSETUP_H

#include <vdr/plugin.h>
#include <vdr/submenu.h>

class cSubMenuSelectType : public cOsdMenu
{
	private:
		int position;
		int where;
		bool close;
	public:
		cSubMenuSelectType(int pos,int ou);
		~cSubMenuSelectType(void);
		eOSState ProcessKey(eKeys Key);
};

class cSubMenuPluginItem : public cOsdMenu
{
	private:
		int position;
		int where;
		int *ToDisp;
		int *DispOrder;
	public:
		cSubMenuPluginItem(int pos,int ou);
		~cSubMenuPluginItem(void);
		eOSState ProcessKey(eKeys Key);
};


class cSubMenuSystemItem : public cOsdMenu
{
	private:
		int position;
		int where;
		int * DispOrder;
	public:
		cSubMenuSystemItem(int pos,int ou);
		~cSubMenuSystemItem(void);
		eOSState ProcessKey(eKeys Key);
};

class cSubMenuSubMenuItem : public cOsdMenu
{
	private:
		int pos;
		int where;
		char Name[64];
	public:
		cSubMenuSubMenuItem(int position,int ou);
		cSubMenuSubMenuItem(char *Name,int position,int menuLevel, int kindOfItem);
		~cSubMenuSubMenuItem();
		eOSState ProcessKey(eKeys Key);
};

class cSubMenuSetup : public cMenuSetupPage
{
	private:
		void DrawMenu(void);
		void DrawSubMenu(int level);
		bool fromsub;
		int curLevel;
		int MarkIndex;
		bool Marked;
		int CreateIndex;
		bool Created;
	protected:
		virtual void Store(void);
	public:
		cSubMenu *SM;
		cSubMenuSetup(void);
		~cSubMenuSetup(void);
		virtual eOSState ProcessKey(eKeys key);
		void DrawButton(void);
};

extern cSubMenu SMSetup;
#endif //_SUBMENUSETUP_H
